Page MenuHomePhabricator

Port to sclockadj3
Closed, ResolvedPublic

Description

I've rewritten sclockadj in C
https://github.com/JasonJAyalaP/sclockadj/blob/master/sclockadj.c

  1. Unless there's something else using them, we no longer need the ruby packages (compiler, libraries).
  2. Update the sdwdate package to compile sclockadj (gcc sclockadj -o sclockadj) (look at https://github.com/Whonix/bindp for an example on how to package simple compiled code for Whonix)
  3. Sdwdate's invocation of sclockadj needs to be changed to
cmd = [
    "sudo",
    "/usr/lib/sdwdate/sclockadj",
    str(self.newdiff_nanoseconds)]

(plus the inline and --noninteractive lines if still necessary)

Details

Impact
Normal

Event Timeline

Patrick removed Patrick as the assignee of this task.Jun 5 2017, 2:18 PM
Patrick updated the task description. (Show Details)
Patrick added projects: sdwdate, sclockadj.
Patrick added a subscriber: HulaHoop.
Patrick added a subscriber: Patrick.
Patrick added a comment.EditedJun 5 2017, 2:22 PM

Could you please commit sclockadj.c to the root folder of https://github.com/Whonix/sdwdate so we can account your authorship in the git history? @JasonJAyalaP

Please also add the copy right.

Copyright (C) 2016 Patrick Schleizer <adrelanos@riseup.net>
See the file COPYING for copying conditions.

(As per https://github.com/Whonix/Whonix/blob/master/CONTRIBUTING.md.)

JasonJAyalaP added a comment.EditedJun 6 2017, 11:14 PM

Ported (in sdwdate master) and currently testing.

@Patrick
is it working for you?

JasonJAyalaP (Jason J. Ayala P.):

JasonJAyalaP added a comment.

@Patrick 
is it working for you?

Yes.

JasonJAyalaP closed this task as Resolved.Jun 17 2017, 5:15 AM